Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006084TestLinkTest Specification - Move/Copy Test Casespublic2013-12-09 10:352014-04-25 17:39
Reporterntr 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006084: Cannot copy a testcase with (attached) linked requirements
DescriptionWhen try to copy a testcase which has (attached) linked requirement, and checking corresponding checkbox to keep (attached) linked requirement in the duplicated testcase, teslink shows a DB error.
The testcase is well copied, but without the requirement links.


I've done some modifications which seems to remove the bug :
</lib/functions/testcase.clss.php>

Line 1544:
$this->copyReqAssignment($id, $newTCObj['id'], $my['mappings']['requirements'], $ix->authorID); // added last argument (please check syntax since I've entered it manually from a paper and not by copy/paste)

Line 3694:
function copyReqAssignmentTo($from, $to, $mappings, $authorID) // added last argument

Line 3717:
$req_mgr->assign_to_tcase($items,$to, $authorID); // added $authorID
Steps To ReproduceTry to duplicate a testcase with (attached) linked requirements, and REQUEST TO keep requirements in duplicated testcase by checking corresponding checkbox.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserFirefox
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0006073closedfman Copied Testcase shows a database error 
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020171)
fman (administrator)
2013-12-09 10:53
edited on: 2013-12-09 11:00

1. using right words are needed: attached requirements is completely wrong
in testlink when we talk of attachements we are talking about uploading files
test case HAS LINKED REQUIREMENTS

2. if you do some search you avoid us work, this has been already reported.
ALWAYS SEARCH WITHOUT STATUS FILTER (closed issues are HIDDEN by DEFAULT)

3. I'm going to check your proposed solution, and provide feedback

(0020172)
fman (administrator)
2013-12-09 11:26

1. create test project TPRJ
2. create a test suite TS100
3. create a test case TC-1A
4. create req spec - RSPEC-100
5. create requirement - REQ-ALFA
6. create requirement - REQ-BETA
7. link TC-1A to both Requirements
8. on test spec CLICK on left pane tree, on TC-1A node
9. on righ pane CLICK on Move/Copy
10. check [] Copy Requirement Assignments
11. Click on COPY
(0020173)
ntr (reporter)
2013-12-09 16:11

I confirm the steps you've mentionned to reproduce the issue.
Sorry if I did some confusions with the terms I used to describe the issue (my english is sometimes poor...).
Nvertherless I was happy to try to produce a contribution to your work by proposing a solution for an issue...
(0020878)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-09 10:35 ntr New Issue
2013-12-09 10:53 fman Note Added: 0020171
2013-12-09 10:55 fman Relationship added related to 0006073
2013-12-09 10:56 fman Note Edited: 0020171 View Revisions
2013-12-09 11:00 fman Note Edited: 0020171 View Revisions
2013-12-09 11:06 fman Summary Cannot copy a testcase with attached requirements => Cannot copy a testcase with (attached) linked requirements
2013-12-09 11:06 fman Description Updated View Revisions
2013-12-09 11:06 fman Steps to Reproduce Updated View Revisions
2013-12-09 11:06 fman Assigned To => fman
2013-12-09 11:06 fman Status new => assigned
2013-12-09 11:26 fman Note Added: 0020172
2013-12-09 16:11 ntr Note Added: 0020173
2013-12-10 19:22 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-12-10 19:22 fman Status assigned => resolved
2013-12-10 19:22 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2013-12-10 19:22 fman Resolution open => fixed
2013-12-10 19:22 fman Relationship added child of 0006048
2014-04-25 17:39 fman Note Added: 0020878
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker